Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 456621 - Duplicate Requires field in pkgconfig file
Summary: Duplicate Requires field in pkgconfig file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-glib
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10Target 456565
TreeView+ depends on / blocked
 
Reported: 2008-07-25 00:20 UTC by Peter Gordon
Modified: 2008-07-30 01:25 UTC (History)
2 users (show)

Fixed In Version: 0.7.12-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-28 23:43:46 UTC
Type: ---


Attachments (Terms of Use)

Description Peter Gordon 2008-07-25 00:20:15 UTC
Hi, Brian.

While attempting a mock build of telepathy-haze, I noticed that it produced the
following error message which prevented the build from continuing:

---
checking for TP_GLIB... 
configure: error: Package requirements (telepathy-glib >= 0.7) were not met:
Requires field occurs twice in '/usr/lib64/pkgconfig/telepathy-glib.pc'
[...]
error: Bad exit status from /var/tmp/rpm-tmp.J1UUT8 (%build)
---

Indeed, the file contains duplicate Requires fields, which should be merged into
one:

---
Description: GLib utility library for the Telepathy framework
Version: 0.7.12
Requires: pkg-config >= 0.21
Requires: dbus-glib-1 >= 0.73, glib-2.0 >= 2.10, gobject-2.0 >= 2.10
Libs: -L${libdir} -ltelepathy-glib
---

Version-Release number of selected component (if applicable):
telepathy-glib-0.7.12-1.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Attempt to build anything which uses tp-glib via pkgconfig.
2. ??
3. Profit!

Comment 1 Brian Pepple 2008-07-25 22:28:06 UTC
I'll look at this on Monday, and make sure this isn't another side-effect of our
busted pkgconfig. https://bugzilla.redhat.com/show_bug.cgi?id=436773#c9

Comment 2 Brian Pepple 2008-07-28 23:43:46 UTC
Ok, this should be fixed.  If you still run into problems with this, just holla.

Comment 3 Peter Gordon 2008-07-30 01:25:40 UTC
That did the trick. Thanks! :)


Note You need to log in before you can comment on or make changes to this bug.